/*! formstone v0.8.35 [background.css] 2015-12-28 | MIT License | formstone.it */

/**
	 * @class
	 * @name .fs-background-element
	 * @type element
	 * @description Target elmement
	 */
/**
	 * @class
	 * @name .fs-background
	 * @type element
	 * @description Base widget class
	 */
.fs-background {
    overflow: hidden;
    position: relative;
    /**
           * @class
           * @name .fs-background-container
           * @type element
           * @description Container element
           */
    /**
           * @class
           * @name .fs-background-media
           * @type element
           * @description Media element
           */
    /**
           * @class
           * @name .fs-background-media.fs-background-animated
           * @type modifier
           * @description Indicates animated state
           */
    /**
           * @class
           * @name .fs-background-media.fs-background-navtive
           * @type modifier
           * @description Indicates native support
           */
    /**
           * @class
           * @name .fs-background-media.fs-background-fixed
           * @type modifier
           * @description Indicates fixed positioning
           */
    /**
           * @class
           * @name .fs-background-embed
           * @type element
           * @description Embed/iFrame element
           */
    /**
           * @class
           * @name .fs-background-embed.fs-background-embed-ready
           * @type modifier
           * @description Indicates ready state
           */
}
.fs-background,
.fs-background-container,
.fs-background-media {
    -webkit-transition: none;
    transition: none;
}
.fs-background-container {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 0;
    overflow: hidden;
}
.fs-background-media {
    position: absolute;
    top: 0;
    bottom: 0;
    opacity: 0;
}
.fs-background-media.fs-background-animated {
    -webkit-transition: opacity 0.5s linear;
    transition: opacity 0.5s linear;
}
.fs-background-media img,
.fs-background-media video,
.fs-background-media iframe {
    width: 100%;
    height: 100%;
    display: block;
    -webkit-user-drag: none;
}
.fs-background-media.fs-background-native,
.fs-background-media.fs-background-fixed {
    width: 100%;
    height: 100%;
}
.fs-background-media.fs-background-native img,
.fs-background-media.fs-background-fixed img {
    display: none;
}
.fs-background-media.fs-background-native {
    background-position: center;
    background-size: cover;
}
.fs-background-media.fs-background-fixed {
    background-position: center;
    background-attachment: fixed;
}
.fs-background-embed.fs-background-ready:after {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    content: '';
}
.fs-background-embed.fs-background-ready iframe {
    z-index: 0;
}
